#!/bin/bash
set -e
pegasus_lite_version_major="5"
pegasus_lite_version_minor="1"
pegasus_lite_version_patch="0dev"
pegasus_lite_enforce_strict_wp_check="false"
pegasus_lite_version_allow_wp_auto_download="false"
pegasus_lite_log_file="pegasus-plan_subwf2.pre.err"

 # set for pegasus-plan invocation 
export PEGASUS_HOME="/Users/ryantanaka/ISI/pegasus/dist/pegasus-5.1.0dev"

. pegasus-lite-common.sh

pegasus_lite_init

# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap pegasus_lite_signal_term TERM
trap pegasus_lite_unexpected_exit EXIT

printf "\n########################[Pegasus Lite] Setting up workdir ########################\n"  1>&2
# work dir
pegasus_lite_setup_work_dir

pegasus_lite_section_start stage_in
printf "\n###################### Staging in input data and executables ######################\n"  1>&2
# stage in data and executables
pegasus-transfer --threads 1  1>&2 << 'eof'
[
 { "type": "transfer",
   "linkage": "input",
   "lfn": "k1.txt",
   "id": 1,
   "src_urls": [
     { "site_label": "local", "url": "file:////Users/ryantanaka/Desktop/test-hierarchical-workflow/wf-scratch/LOCAL/ryantanaka/pegasus/root/run0012/./k1.txt", "checkpoint": "false" }
   ],
   "dest_urls": [
     { "site_label": "local", "url": "file://$PWD/k1.txt" }
   ] }
]
eof

pegasus_lite_section_end stage_in
set +e
job_ec=0
pegasus_lite_section_start task_execute
printf "\n######################[Pegasus Lite] Executing the user task ######################\n"  1>&2
pegasus-kickstart  -n pegasus-plan_subwf2.pre.sh -N subwf2 -R local  -s k2.txt=k2.txt -L root -T 2021-05-13T15:30:41-07:00 /Users/ryantanaka/ISI/pegasus/dist/pegasus-5.1.0dev/bin/pegasus-plan $@
job_ec=$?
pegasus_lite_section_end task_execute
set -e
pegasus_lite_section_start stage_out
pegasus_lite_section_end stage_out

set -e


# clear the trap, and exit cleanly
trap - EXIT
pegasus_lite_final_exit

